#
# Cookbook Name:: virtualbox
# Recipe:: default
#
# Copyright 2011, Chris Peplin
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

bash "apt-get update" do
  code "apt-get update"
  action :nothing
end

if node[:virtualbox][:version] != "ose"
  bash "add Oracle key" do
    code "wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add -"
    action :nothing
    notifies :run, resources(:bash => "apt-get update"), :immediately
  end

  template "/etc/apt/sources.list.d/oracle-virtualbox.list" do
    source "oracle-virtualbox.list.erb"
    mode 0644
    notifies :run, resources(:bash => "add Oracle key"), :immediately
  end
end

package "virtualbox-#{node[:virtualbox][:version]}"
